CatalogSpecifications
Get specification by ID
Returns one product specification with its aliases, behavior, metadata, and ordered values.
Path Parameters
id*string
Unique identifier of the resource.
Header Parameters
x-Store-Id?string
Store the request acts on. Not needed when the token is bound to a store.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://api.ecomiq.pe/api/v1/catalog/specifications/7204558912004325220" \ -H "x-Store-Id: <store-id>" \ -H "Authorization: Bearer <token>"{ "id": "7204558912004325220", "storeId": "7204558912004327977", "name": "Material", "key": "color", "aliases": [ "Material" ], "isMultiple": false, "isFilterable": false, "isSearchable": false, "order": 1, "status": "inactive", "type": "input", "level": "product", "values": [ { "id": "7204558912004325220", "value": "Azul", "name": "Material", "isDefault": true, "order": 1, "color": "Azul", "imageUrl": "https://mi-tienda.ecomiq.app/images/polo-de-algodon.webp" } ], "metadata": {}, "createdOn": "2026-09-28T15:30:00Z"}